Bug 1188356 - [abrt] x2goclient: SshMasterConnection::channelLoop(): x2goclient killed by SIGSEGV
Summary: [abrt] x2goclient: SshMasterConnection::channelLoop(): x2goclient killed by S...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: x2goclient
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d6bb2958bb0d0feb62d4e6804c3...
: 1188373 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-02 16:49 UTC by christopher.bollinger
Modified: 2015-06-30 01:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:21:25 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (84.44 KB, text/plain)
2015-02-02 16:49 UTC, christopher.bollinger
no flags Details
File: cgroup (180 bytes, text/plain)
2015-02-02 16:49 UTC, christopher.bollinger
no flags Details
File: core_backtrace (9.44 KB, text/plain)
2015-02-02 16:49 UTC, christopher.bollinger
no flags Details
File: dso_list (7.98 KB, text/plain)
2015-02-02 16:49 UTC, christopher.bollinger
no flags Details
File: environ (2.55 KB, text/plain)
2015-02-02 16:49 UTC, christopher.bollinger
no flags Details
File: exploitable (82 bytes, text/plain)
2015-02-02 16:49 UTC, christopher.bollinger
no flags Details
File: limits (1.29 KB, text/plain)
2015-02-02 16:50 UTC, christopher.bollinger
no flags Details
File: maps (44.63 KB, text/plain)
2015-02-02 16:50 UTC, christopher.bollinger
no flags Details
File: open_fds (1008 bytes, text/plain)
2015-02-02 16:50 UTC, christopher.bollinger
no flags Details
File: proc_pid_status (962 bytes, text/plain)
2015-02-02 16:50 UTC, christopher.bollinger
no flags Details
File: var_log_messages (397 bytes, text/plain)
2015-02-02 16:50 UTC, christopher.bollinger
no flags Details

Description christopher.bollinger 2015-02-02 16:49:54 UTC
Description of problem:
I am tweaking iptables on the box I am connecting to; with input and output set to accept port 22 and related and established accepted.  Upon attempt to connect to the box, X2go gives the error listed.

Version-Release number of selected component:
x2goclient-4.0.3.1-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        x2goclient
crash_function: SshMasterConnection::channelLoop
executable:     /usr/bin/x2goclient
kernel:         3.17.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 SshMasterConnection::channelLoop at ../sshmasterconnection.cpp:1447
 #1 SshMasterConnection::run at ../sshmasterconnection.cpp:698
 #2 QThreadPrivate::start at thread/qthread_unix.cpp:349

Comment 1 christopher.bollinger 2015-02-02 16:49:56 UTC
Created attachment 987155 [details]
File: backtrace

Comment 2 christopher.bollinger 2015-02-02 16:49:56 UTC
Created attachment 987156 [details]
File: cgroup

Comment 3 christopher.bollinger 2015-02-02 16:49:57 UTC
Created attachment 987157 [details]
File: core_backtrace

Comment 4 christopher.bollinger 2015-02-02 16:49:58 UTC
Created attachment 987158 [details]
File: dso_list

Comment 5 christopher.bollinger 2015-02-02 16:49:58 UTC
Created attachment 987159 [details]
File: environ

Comment 6 christopher.bollinger 2015-02-02 16:49:59 UTC
Created attachment 987160 [details]
File: exploitable

Comment 7 christopher.bollinger 2015-02-02 16:50:00 UTC
Created attachment 987161 [details]
File: limits

Comment 8 christopher.bollinger 2015-02-02 16:50:01 UTC
Created attachment 987162 [details]
File: maps

Comment 9 christopher.bollinger 2015-02-02 16:50:01 UTC
Created attachment 987163 [details]
File: open_fds

Comment 10 christopher.bollinger 2015-02-02 16:50:02 UTC
Created attachment 987164 [details]
File: proc_pid_status

Comment 11 christopher.bollinger 2015-02-02 16:50:02 UTC
Created attachment 987165 [details]
File: var_log_messages

Comment 12 Orion Poplawski 2015-02-02 17:37:11 UTC
*** Bug 1188373 has been marked as a duplicate of this bug. ***

Comment 13 Orion Poplawski 2015-02-02 18:05:06 UTC
Filed upstream: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=779

Comment 14 Fedora End Of Life 2015-05-29 13:39:27 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-30 01:21:25 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.